summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEvan Culver <evan@evanculver.com>2013-12-18 20:28:36 (GMT)
committerEvan Culver <evan@evanculver.com>2013-12-18 20:28:36 (GMT)
commit15346554203c64f2deecee01e6aaebd3a20495bf (patch)
tree5f204a7df4298be33affb13bc63f120da6498f6d
parentaf585ce74f40bcc4522d8ac40dcafaa964847b11 (diff)
downloaddjango-oauth2-provider-15346554203c64f2deecee01e6aaebd3a20495bf.zip
django-oauth2-provider-15346554203c64f2deecee01e6aaebd3a20495bf.tar.gz
django-oauth2-provider-15346554203c64f2deecee01e6aaebd3a20495bf.tar.bz2
Fixing silly bug in test wrapper's django version detection.
-rwxr-xr-xtest.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/test.sh b/test.sh
index 3eeeeb2..094e309 100755
--- a/test.sh
+++ b/test.sh
@@ -7,9 +7,9 @@ DJ_VERSION=$(django-admin.py --version)
IS_16=$(echo $DJ_VERSION | grep "1.6")
-# if django version it's not 1.6 and so we pass different
+# if django version is not 1.6 (non-0 exit) we have to pass different
# app names to test runner
-if [ "$IS_16" = "1.6" ]; then
+if [ "$?" -ne "1" ]; then
app_names=( provider provider.oauth2 )
else
app_names=( provider oauth2 )